ifTable Entries
List all ifTable Entries
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Query Parameters
host_id?string|null
Filter by host ID
Format
uuidnetwork_id?string|null
Filter by network ID
Format
uuidids?|null
Filter by specific entity IDs (for selective loading)
limit?integer|null
Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.
Format
int32Range
0 <= value <= 1000offset?integer|null
Number of results to skip. Default: 0.
Format
int32Range
0 <= valueResponse Body
application/json
curl -X GET "https://loading/api/v1/if-entries"{
"data": [
{
"admin_status": "Up",
"created_at": "2019-08-24T14:15:22Z",
"host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"if_descr": "string",
"if_index": 0,
"if_type": 0,
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"oper_status": "Up",
"updated_at": "2019-08-24T14:15:22Z",
"cdp_address": "string",
"cdp_device_id": "string",
"cdp_platform": "string",
"cdp_port_id": "string",
"if_alias": "string",
"if_name": "string",
"interface_id": "16c0a784-0728-4b20-a16b-354e14c2524c",
"lldp_chassis_id": {},
"lldp_mgmt_addr": "string",
"lldp_port_desc": "string",
"lldp_port_id": {},
"lldp_sys_desc": "string",
"lldp_sys_name": "string",
"mac_address": "string",
"neighbor": {},
"speed_bps": 0
}
],
"meta": {
"api_version": 1,
"pagination": {
"has_more": true,
"limit": 50,
"offset": 0,
"total_count": 142
},
"server_version": "0.14.10"
},
"success": true,
"error": "string"
}